Index: kdelibs/kdecore/CMakeLists.txt
===================================================================
--- kdelibs.orig/kdecore/CMakeLists.txt	2010-08-05 11:03:27.000000000 +0200
+++ kdelibs/kdecore/CMakeLists.txt	2010-08-05 11:33:47.000000000 +0200
@@ -87,6 +87,7 @@
 endif (HAVE_RESOLV_LIBRARY)
 
 if (APPLE)
+   add_definitions(-DBUNDLE_INSTALL_DIR="\\"${BUNDLE_INSTALL_DIR}\\"")
    set(kdecore_OPTIONAL_SRCS ${kdecore_OPTIONAL_SRCS}
       kernel/kkernel_mac.cpp
    )
Index: kdelibs/kdecore/kernel/kstandarddirs.cpp
===================================================================
--- kdelibs.orig/kdecore/kernel/kstandarddirs.cpp	2010-08-05 11:01:20.000000000 +0200
+++ kdelibs/kdecore/kernel/kstandarddirs.cpp	2010-08-05 11:33:47.000000000 +0200
@@ -1224,6 +1224,10 @@
         exePaths << KShell::tildeExpand( tokens[ i ] );
     }
 
+#ifdef Q_WS_MAC
+    exePaths << QString::fromLatin1(BUNDLE_INSTALL_DIR);
+#endif
+
     return exePaths;
 }
 
